Update Theme Colors
curl --request PATCH \
--url https://api.example.com/cabinet/branding/colors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accent": "<string>",
"darkBackground": "<string>",
"darkSurface": "<string>",
"darkText": "<string>",
"darkTextSecondary": "<string>",
"lightBackground": "<string>",
"lightSurface": "<string>",
"lightText": "<string>",
"lightTextSecondary": "<string>",
"success": "<string>",
"warning": "<string>",
"error": "<string>"
}
'import requests
url = "https://api.example.com/cabinet/branding/colors"
payload = {
"accent": "<string>",
"darkBackground": "<string>",
"darkSurface": "<string>",
"darkText": "<string>",
"darkTextSecondary": "<string>",
"lightBackground": "<string>",
"lightSurface": "<string>",
"lightText": "<string>",
"lightTextSecondary": "<string>",
"success": "<string>",
"warning": "<string>",
"error": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accent: '<string>',
darkBackground: '<string>',
darkSurface: '<string>',
darkText: '<string>',
darkTextSecondary: '<string>',
lightBackground: '<string>',
lightSurface: '<string>',
lightText: '<string>',
lightTextSecondary: '<string>',
success: '<string>',
warning: '<string>',
error: '<string>'
})
};
fetch('https://api.example.com/cabinet/branding/colors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accent": "#3b82f6",
"darkBackground": "#0a0f1a",
"darkSurface": "#0f172a",
"darkText": "#f1f5f9",
"darkTextSecondary": "#94a3b8",
"lightBackground": "#F7E7CE",
"lightSurface": "#FEF9F0",
"lightText": "#1F1A12",
"lightTextSecondary": "#7D6B48",
"success": "#22c55e",
"warning": "#f59e0b",
"error": "#ef4444"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Branding
Update Theme Colors
Update theme colors. Admin only. Partial update supported.
PATCH
/
cabinet
/
branding
/
colors
Update Theme Colors
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to update theme colors (partial update allowed).
Response
Successful Response
Theme colors settings.
⌘I
